MongoGridFS::find
MongoGridFS::get
MongoGridFS
PHP Manual

# MongoGridFS::findOne

(PECL mongo >=0.9.0)

MongoGridFS::findOne — Returns a single file matching the criteria

### Description

public MongoGridFSFile MongoGridFS::findOne ([ mixed `$query` = array() [, mixed `$fields` = array() ]] )

### Parameters

`query`

  The filename or criteria for which to search.

### Return Values

Returns a MongoGridFSFile or `NULL`.

### Examples

Example #1 MongoGridFS::findOne() example

Example demonstrating how to find a single file from the MongoGridFS.

`<?php
$downloads = $mongo->my_db->getGridFS('downloads');
$downloads->storeFile('filename.tgz');
$download = $downloads->findOne('filename.tgz'); // instance of MongoGridFSFile
print_r($download);
?>`

See MongoGridFSFile for more information about how to work with files.

The above example will output something similar to:

    MongoGridFSFile Object
    (
        [file] => Array
            (
                [_id] => MongoId Object
                    (
                    )

                [filename] => filename.tgz
                [uploadDate] => MongoDate Object
                    (
                        [sec] => 1274288014
                        [usec] => 467000
                    )

                [chunkSize] => 262144
                [md5] => d41d8cd98f00b204e9800998ecf8427e
            )

        [gridfs:protected] => MongoGridFS Object
            (
                [chunks] => MongoCollection Object
                    (
                    )

                [filesName:protected] => downloads.files
                [chunksName:protected] => downloads.chunks
            )

    )

MongoGridFS::find
MongoGridFS::get
MongoGridFS
PHP Manual